Package org.apache.xmlbeans.impl.xb.xmlconfig

## Interface ConfigDocument

- All Superinterfaces:
    `XmlObject`, `XmlTokenSource`
  All Known Implementing Classes:
    `ConfigDocumentImpl`

      public interface ConfigDocument
      extends XmlObject

  A document containing one config(@http://xml.apache.org/xmlbeans/2004/02/xbean/config) element. This is a complex type.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static interface` | `ConfigDocument.Config` | An XML config(@http://xml.apache.org/xmlbeans/2004/02/xbean/config).

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static DocumentFactory<ConfigDocument>` | `Factory` |
    `static SchemaType` | `type` |

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ConfigDocument.Config` | `addNewConfig()` | Appends and returns a new empty "config" element
    `ConfigDocument.Config` | `getConfig()` | Gets the "config" element
    `void` | `setConfig​(ConfigDocument.Config config)` | Sets the "config" element

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final DocumentFactory<ConfigDocument> Factory

    - #### type

          static final SchemaType type

  - ### Method Detail

    - #### getConfig

          ConfigDocument.Config getConfig()

      Gets the "config" element

    - #### setConfig

          void setConfig​(ConfigDocument.Config config)

      Sets the "config" element

    - #### addNewConfig

          ConfigDocument.Config addNewConfig()

      Appends and returns a new empty "config" element